#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:          ffmpegthumbs
Summary:       Video thumbnail generator for KDE file managers
Epoch:         3
Version: 23.08.0
Release:       %mkrel %{rel}
Group:         Video/Utilities
License:       GPLv2
Url:           https://kde.org/applications/multimedia/
Source0:       https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
#Patch0:	       ffmpegthumbs-ffmpeg-5.0.patch

BuildRequires: kf5-macros
BuildRequires: cmake(KF5KIO)

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)

BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavformat)
BuildRequires: pkgconfig(libswscale)
BuildRequires: pkgconfig(taglib)

%description
FFmpegThumbs is a video thumbnails implementation for KDE based on
FFmpegThumbnailer.

This thumbnailer uses FFmpeg to decode frames from the video files,
so supported video formats depend on the configuration flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as possible.

%files
%_kf5_categoriesdir/ffmpegthumbs.*categories
%_qt5_plugindir/kf5/thumbcreator/ffmpegthumbs.so
%_kf5_datadir/config.kcfg/ffmpegthumbnailersettings5.kcfg
%_kf5_metainfodir/org.kde.ffmpegthumbs.metainfo.xml

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

